Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135447 - Add support for mod_rails
Add support for mod_rails
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Rails
6.x
All All
: P3 with 2 votes (vote)
: 6.x
Assigned To: Erno Mononen
issues@ruby
:
: 138509 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 19:19 UTC by Erno Mononen
Modified: 2009-03-18 22:32 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Patch for ruby.railsproject to add support for passenger (13.72 KB, patch)
2009-02-11 22:38 UTC, mpapis
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erno Mononen 2008-05-20 19:19:52 UTC
Add support for using mod_rails for deployment of Rails applications. More info of mod_rails is available at http://
www.modrails.com/.
Comment 1 Erno Mononen 2008-06-27 18:17:15 UTC
*** Issue 138509 has been marked as a duplicate of this issue. ***
Comment 2 pparadise 2009-01-09 22:49:51 UTC
I don't know enough about NetBean's internal implementation, but it looks like someone has already started the work of
getting a debugger hooked up to Passenger via a socket:

http://github.com/ddollar/socket-debugger/tree/master
Comment 3 mpapis 2009-02-08 02:58:54 UTC
Hi there has anybody started codding this ? I'm interested to get it running shortly, let me know if interested in testing.
Comment 4 Erno Mononen 2009-02-09 07:49:43 UTC
Hi mpapis, I don't think anyone is working on this right now -- do you mean that you'd be interested in implementing 
this (or just testing)? Thanks.
Comment 5 mpapis 2009-02-09 10:45:56 UTC
Hi emononen, I already have few lines of code, when it will be working I would ask you to merge it to railsproject
module, is this ok for You ? If any one is curious on the progress follow http://niczsoft.com
Comment 6 Erno Mononen 2009-02-09 11:30:22 UTC
That's great! Sure I can merge it to railsproject then.
Comment 7 Erno Mononen 2009-02-09 11:59:44 UTC
BTW, should you have any questions wrt. implementation, don't hesitate to ask (preferably on dev@ruby.netbeans.org, see 
http://ruby.netbeans.org/servlets/ProjectMailingListList).
Comment 8 mpapis 2009-02-11 22:38:56 UTC
Created attachment 76888 [details]
Patch for ruby.railsproject to add support for passenger
Comment 9 mpapis 2009-02-11 22:42:16 UTC
Just added patch containing all my changes, looks quite functional, I got cold and now have few other tasks on head so
had no time to test it. Only thing missing is creation/updating time stamp of tmp/restart.txt file.
Comment 10 Erno Mononen 2009-02-13 13:31:04 UTC
Thanks! Right now we're in the stabilization phase for M2, so I can't integrate the changes before M2 is out -- that 
should be some time next week.
Comment 11 Erno Mononen 2009-03-10 15:12:46 UTC
I've finally applied the patch in http://hg.netbeans.org/main/rev/a3ca3c10d09e, I'm really sorry for not getting to this
sooner. You need to enable it first by using setting the passenger.support system property to true, which you can do in
<nb install dir>/etc/netbeans.conf by adding "-J-Dpassenger.support=true" to netbeans_default_options. Let's test this
properly before making it enabled by default. Everyone, please give it a try and report problems. There'll be an
automated notification here in this issue with a download link when the changeset has been integrated into the daily build.


Comment 12 Quality Engineering 2009-03-18 22:32:52 UTC
Integrated into 'main-golden', will be available in build *200903181604* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a3ca3c10d09e
User: Erno Mononen <emononen@netbeans.org>
Log: #135447: Add support for mod_rails


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo